import React from 'react';
import ReactDOM from 'react-dom';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 70;
const eyeRadius = 30;
const smileyWidth = 100;
const smileyRadius = 20;

const smiley= d3.arc()
        .innerRadius(smileyWidth)
        .outerRadius(smileyWidth + smileyRadius)
        .startAngle(Math.PI / 2 + 0.2)
        .endAngle(Math.PI * 3/2 - 0.2);


const App = () => (
    <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`} >
    	<circle 
        cx={centerX}
        cy={centerY}
        r={centerY - (strokeWidth / 2)}
        fill="yellow"
        stroke="black"
        strokeWidth={strokeWidth}
      />
    	<circle 
        cx={centerX - eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius}
			/>
      <circle 
        cx={centerX + eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius}
      />
    <path d={smiley()}/>
    </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);